	clear
	set memory 100m
	set matsize 3000
	set linesize 255
	set more off
	log using "ukinfq.smcl", replace
//	log using "ukinfq.smcl"
	set more off

	use "ukinfq.dta", clear // load dataset
	tsset tid, quarterly // time-series setting
	ge x = wage
	ge lx = l.x
	mat b = J(85,6,0)
	forvalues i = 1/85 {
		ge y = sec`i'
		ge ly = l.y
		ge l1 = 0
		replace l1 = 1 if ly<lx
		ge l2 = 0
		replace l2 = 1 if ly>=lx
		ge ly1 = ly*l1
		ge x1 = x*l1
		ge lx1 = lx*l1
		ge ly2 = ly*l2
		ge x2 = x*l2
		ge lx2 = lx*l2
		reg y ly1 x1 lx1 ly2 x2 lx2
		mat bi = e(b)
		mat b[`i',1] = bi[1,1]
		mat b[`i',2] = bi[1,2]
		mat b[`i',3] = bi[1,3]
		mat b[`i',4] = bi[1,4]
		mat b[`i',5] = bi[1,5]
		mat b[`i',6] = bi[1,6]
		drop y ly l1 l2 ly1 x1 lx1 ly2 x2 lx2
	}
	mat list b

	log close
