new;
cls;
#include FINF.SRC;

//=============================================================================
//	preliminaries
//=============================================================================
	st = 199701;
	ng = 1024; // number of grid
	h = 1.06; // bandwidth
	
//=============================================================================
//	load data
//=============================================================================
	loadm infr,weight;

//=============================================================================
//	cross-sectional distribution
//=============================================================================
	r = infr;
	w = weight;
	T = rows(r);
	N = cols(r);
	lb = minc(minc(r));
	ub = maxc(maxc(r));
	dt = (ub-lb)/(ng-1);
	tic = seqa(lb-dt,dt,ng);
	f = zeros(T,ng); // Txng
	for i (1,T,1);
		i;
		wri = packr(w[i,.]'~r[i,.]');
		wi = wri[.,1];
		ri = wri[.,2];
		fi = PDF3(wi,ri,h,tic); // ngx1
		f[i,.] = fi';
	endfor;
	save denf = f; // Txng
	save tic; // ngx1
	xlswritem(tic~f',"density","a2",1,"");
	?; 
	"==============================================================================";
	"------------------------------------------------------------------------------";
	"dx" dt;
	"lower bound: " lb;
	"upper bound: " ub;
	"max Pr(lower bound): " maxc(f[.,1]);
	"max Pr(upper bound): " maxc(f[.,ng]);
	"------------------------------------------------------------------------------";
	"==============================================================================";
  ?;
end;
