	clear
	set memory 100m
	set matsize 3000
	set linesize 255
	set more off
	log using "ukinfq.smcl", replace
//	log using "ukinfq.smcl"
	set more off

	use "ukinfq.dta", clear // load dataset
	tsset tid, quarterly // time-series setting
	ge x1 = wage
	ge x2 = l.wage
	mat b = J(85,3,0)
	forvalues i = 1/85 {
		ge y = sec`i'
		reg y l.y x1 x2
		mat bi = e(b)
		mat b[`i',1] = bi[1,1]
		mat b[`i',2] = bi[1,2]
		mat b[`i',3] = bi[1,3]
		drop y
	}
	mat list b

	log close
