new;
cls;
#include FINF.SRC;
format /rd/m1 8,4;

//=============================================================================
//	load data: level 3
//=============================================================================
	infr = xlsreadm("ukcpirL3","b1:ch134",1,""); // 1997/01 -- 2008/02
	T = rows(infr);
	tid = xlsreadm("ukcpirL3","a1:a134",1,""); // 1997/01 -- 2008/02	
	weight = xlsreadm("ukcpirL3","b1:ch13",2,"");
	weight = weight.*.ones(12,1);
	weight = weight[1:T,.]/1000; // 1996/01 ~ 2007/02

//=============================================================================
//	weighted average of inflation rate vector, Tx1
//=============================================================================
	winfr = zeros(T,1); // weighted average of inflation rate vector, Tx1
	for i (1,T,1);
		wi = weight[i,.]'; // Tx1
		ri = infr[i,.]'; // Tx1
		winfr[i] = sumc(packr(wi.*ri));
	endfor;

//=============================================================================
//	save results as matrix
//=============================================================================
	save infr,weight,tid,winfr;
	
end;